기술 자료

​
​

Development

User Acquisition

Monetization

산업 분야

Session Observability Session Observability

v1

지원 가능
​

Session Observability Session Observability

v1

지원 가능
​

이 페이지는 선택한 언어로 제공되지 않습니다.
Unity Services Web APIs
​
​
mdx:openapi:endpoints
  • Sessions

Session Observability

[Deprecated] This API is deprecated and will be removed on November 1st, 2026. Use Matchmaker logs for matchmaking observability instead.
The Session Observability Service provides visibility into multiplayer sessions.
For a service account to access the admin API, it must be granted the project-level
Multiplayer Session Details Viewer
role.
Download OpenAPI specification:

Query Session Details


Get a list of session details that fulfill the filter criteria.
[Deprecated] This endpoint will be removed on November 1st, 2026. Use Matchmaker logs for matchmaking observability instead.
Authorizations
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "{title}"

projectId

string
필수
The ID of the Unity project

environmentId

string
필수
The Environment ID of the given project

Query parameters for "{title}"

poolId

string
The ID of the pool to filter

poolName

string
The name of the pool to filter

queueName

string
The name of the queue to filter

regionId

string
The ID of the allocation region to filter

matchmakingTicketId

string
The ID of the ticket to filter

createdAfter

string
The created date-time of a session detail to filter

updatedAfter

string
The last updated date-time of a session detail to filter

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/session-observability/v1/projects/{projectId}/environments/{environmentId}/sessions"

Response example

[ { "allocation": { "completedAt": "2024-01-01T00:00:00Z", "id": "string", "regionId": "string", "requestedAt": "2024-01-01T00:00:00Z", "serverId": "string", "status": "Unknown" }, "createdAt": "2024-01-01T00:00:00Z", "environmentId": "string", "gameMode": { "poolId": "string", "poolName": "string", "queueId": "string", "queueName": "string" }, "matchmakingStatus": "Unknown", "projectId": "string", "sessionEvents": [ { "appliedRules": [ { "context": null, "externalData": null, "name": null, "not": null, "reference": null, "source": null, "teamId": null, "type": null } ], "teams": [ { "id": null, "name": null, "playerIds": null } ], "timestamp": "2024-01-01T00:00:00Z", "type": "string" } ], "sessionId": "string", "updatedAt": "2024-01-01T00:00:00Z" }]

Get Session Details


Get the full details of a session by its ID.
[Deprecated] This endpoint will be removed on November 1st, 2026. Use Matchmaker logs for matchmaking observability instead.
Authorizations
ServiceAccount
HTTP: ServiceAccount
To get started with authentication, visit the Service Account Authentication section.
HTTP Authorization Scheme: basic

Path parameters for "{title}"

projectId

string
필수
The ID of the Unity project

environmentId

string
필수
The Environment ID of the given project

sessionId

string
필수
The session ID to interact with

HTTP response status codes for "{title}":

Code samples for "{title}":

Request example

curl -X GET \ -H "Authorization: Basic <YOUR_CREDENTIALS>" \ "https://services.api.unity.com/session-observability/v1/projects/{projectId}/environments/{environmentId}/sessions/{sessionId}"

Response example

{ "allocation": { "completedAt": "2024-01-01T00:00:00Z", "id": "string", "regionId": "string", "requestedAt": "2024-01-01T00:00:00Z", "serverId": "string", "status": "Unknown" }, "createdAt": "2024-01-01T00:00:00Z", "environmentId": "string", "gameMode": { "poolId": "string", "poolName": "string", "queueId": "string", "queueName": "string" }, "matchmakingStatus": "Unknown", "projectId": "string", "sessionEvents": [ { "appliedRules": [ { "context": "string", "externalData": {}, "name": "string", "not": true, "reference": "string", "source": "string", "teamId": "string", "type": "string" } ], "teams": [ { "id": "string", "name": "string", "playerIds": [ null ] } ], "timestamp": "2024-01-01T00:00:00Z", "type": "string" } ], "sessionId": "string", "updatedAt": "2024-01-01T00:00:00Z"}

Copyright © 2026 Unity Technologies
법률 정보개인정보 처리방침쿠키Documentation Terms of Use개인 정보 판매 또는 공유 금지개인정보 보호 선택(쿠키 설정)

'Unity', Unity 로고 및 기타 Unity 상표는 미국 및 기타 지역 내 Unity Technologies 또는 그 계열사의 상표 또는 등록상표입니다(자세한 내용은 여기에서 확인하세요). 기타 명칭 또는 브랜드는 해당 소유자의 상표입니다.

일부 페이지는 편의를 위해 기계 번역되었으며 부정확한 내용이 있을 수 있습니다. 정보가 상충되는 경우, 영어 버전을 우선으로 참조하세요.